# Alternative GNU Make workspace makefile autogenerated by Premake

ifndef config
  config=debug
endif

ifndef verbose
  SILENT = @
endif

ifeq ($(config),debug)
  datacomp_config = debug

else ifeq ($(config),release)
  datacomp_config = release

else
  $(error "invalid configuration $(config)")
endif

PROJECTS := datacomp

.PHONY: all clean help $(PROJECTS) 

all: $(PROJECTS)

datacomp:
ifneq (,$(datacomp_config))
	@echo "==== Building datacomp ($(datacomp_config)) ===="
	@${MAKE} --no-print-directory -C build -f Makefile config=$(datacomp_config)
endif

clean:
	@${MAKE} --no-print-directory -C build -f Makefile clean

help:
	@echo "Usage: make [config=name] [target]"
	@echo ""
	@echo "CONFIGURATIONS:"
	@echo "  debug"
	@echo "  release"
	@echo ""
	@echo "TARGETS:"
	@echo "   all (default)"
	@echo "   clean"
	@echo "   datacomp"
	@echo ""
	@echo "For more information, see https://github.com/premake/premake-core/wiki"